### Hierarchy

- unknown
  - CreateCryptoCurrencyPaymentAccountRequest

## Index

### Constructors

- constructor

### Methods

- getAccountName
- getAddress
- getCurrencyCode
- getTradeInstant
- serializeBinary
- setAccountName
- setAddress
- setCurrencyCode
- setTradeInstant
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CreateCryptoCurrencyPaymentAccountRequest(): CreateCryptoCurrencyPaymentAccountRequest

- Inherited from jspb.Message.constructor

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

## Methods

### getAccountName

- getAccountName(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1914

  #### Returns string

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1920

  #### Returns string

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1917

  #### Returns string

### getTradeInstant

- getTradeInstant(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1923

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1926

  #### Returns Uint8Array

### setAccountName

- setAccountName(value: string): CreateCryptoCurrencyPaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1915

  #### Parameters

  - ##### value: string

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

### setAddress

- setAddress(value: string): CreateCryptoCurrencyPaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1921

  #### Parameters

  - ##### value: string

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

### setCurrencyCode

- setCurrencyCode(value: string): CreateCryptoCurrencyPaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1918

  #### Parameters

  - ##### value: string

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

### setTradeInstant

- setTradeInstant(value: boolean): CreateCryptoCurrencyPaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1924

  #### Parameters

  - ##### value: boolean

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

### toObject

- toObject(includeInstance?: boolean): CreateCryptoCurrencyPaymentAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1927

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CreateCryptoCurrencyPaymentAccountRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateCryptoCurrencyPaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1930

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateCryptoCurrencyPaymentAccountRequest, reader: BinaryReader): CreateCryptoCurrencyPaymentAccountRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1931

  #### Parameters

  - ##### message: CreateCryptoCurrencyPaymentAccountRequest

  - ##### reader: BinaryReader

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateCryptoCurrencyPaymentAccountRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1929

  #### Parameters

  - ##### message: CreateCryptoCurrencyPaymentAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CreateCryptoCurrencyPaymentAccountRequest ): CreateCryptoCurrencyPaymentAccountRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1928

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateCryptoCurrencyPaymentAccountRequest

  #### Returns CreateCryptoCurrencyPaymentAccountRequest . AsObject

Generated using TypeDoc